Loading...
Searching...
No Matches
blowfish.h File Reference
`#include <stdint.h>`

Go to the source code of this file.

## Data Structures

struct | AVBlowfish

## Macros

#define | AV_BF_ROUNDS 16

## Functions

AVBlowfish * | av_blowfish_alloc (void)
| Allocate an AVBlowfish context.
void | av_blowfish_init (struct AVBlowfish *ctx, const uint8_t *key, int key_len)
| Initialize an AVBlowfish context.
void | av_blowfish_crypt_ecb (struct AVBlowfish *ctx, uint32_t *xl, uint32_t *xr, int decrypt)
| Encrypt or decrypt a buffer using a previously initialized context.
void | av_blowfish_crypt (struct AVBlowfish *ctx, uint8_t *dst, const uint8_t *src, int count, uint8_t *iv, int decrypt)
| Encrypt or decrypt a buffer using a previously initialized context.